查询货件方案的装箱信息
POST
/amzStaServer/openapi/inbound-packing/getInboundPackingBoxInfo接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/amzStaServer/openapi/inbound-packing/getInboundPackingBoxInfo | HTTPS | POST | 1 |
请求参数
inboundPlanIdstringsidinteger请求cURL示例
curl --location 'https://openapi.lingxing.com/amzStaServer/openapi/inbound-packing/getInboundPackingBoxInfo?access_token=value×tamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
"inboundPlanId": "wf0a914e89-d126-4ed9-a093-2078289fed05",
"sid": 1
}'
返回结果
codeinteger必填messagestring必填errorDetailsarray<any>必填requestIdstring必填responseTimestring必填dataobject必填隐藏子属性
inboundPlanIdstring必填placementOptionListarray<object>必填隐藏子属性
placementOptionIdstring必填placementStatusstring必填shipmentInformationListarray<object>必填隐藏子属性
shipmentIdstring必填volumestringvolumeUnitstringweightstringweightUnitstringshipmentPackingListarray<object>必填隐藏子属性
boxNamestring必填heightnumber必填lengthnumber必填lengthUnitstring必填weightnumber必填weightUnitstring必填widthnumber必填totalinteger必填productListarray<object>必填隐藏子属性
asinstring必填fnskustring必填mskustring必填parentAsinstring必填productNamestring必填quantityInBoxinteger必填skustring必填titlestring必填urlstring必填返回成功示例
{
{
"code": 0,
"message": "操作成功",
"errorDetails": null,
"requestId": "f91edad8ebb242c29312ce9d6968adc4.206.17399569715810141",
"responseTime": "2025-02-19T17:23:06.164",
"data": {
"inboundPlanId": "wf1c7907e3-ccfe-4fd6-a8b9-6ff8f786e133",
"placementOptionList": [
{
"placementOptionId": "pl05ef4dbd-ca5f-4108-8a58-354fd5fab88a",
"placementStatus": "OFFERED",
"shipmentInformationList": [
{
"shipmentId": "sh65e73e2e-855e-4490-96ed-b975a0247727",
"weight": "10.00",
"volume": "0.00",
"weightUnit": "KG",
"volumeUnit": "M³",
"shipmentPackingList": [
{
"boxName": "Box1",
"height": 10,
"length": 20,
"width": 15,
"lengthUnit": "CM",
"weight": 10,
"weightUnit": "KG",
"total": 5,
"productList": [
{
"asin": "B07X61XK8J",
"fnsku": "X000123456",
"msku": "SKU-123",
"parentAsin": "B07X61XK8J",
"productName": "Sample Product",
"quantityInBox": 5,
"sku": "SKU-123",
"title": "Sample Product Title",
"url": "https://example.com/image.jpg"
}
]
}
]
}
]
},
{
"placementOptionId": "pl13c5f6a9-5348-4b79-a3b2-7da84828f68d",
"placementStatus": "OFFERED",
"shipmentInformationList": [
{
"shipmentId": "shb8a42357-9267-4923-a522-b3c82d42656e",
"weight": "10.00",
"volume": "0.00",
"weightUnit": "KG",
"volumeUnit": "M³",
"shipmentPackingList": [
{
"boxName": "Box2",
"height": 12,
"length": 18,
"width": 16,
"lengthUnit": "CM",
"weight": 10,
"weightUnit": "KG",
"total": 3,
"productList": [
{
"asin": "B07X61XK8J",
"fnsku": "X000123456",
"msku": "SKU-123",
"parentAsin": "B07X61XK8J",
"productName": "Sample Product",
"quantityInBox": 3,
"sku": "SKU-123",
"title": "Sample Product Title",
"url": "https://example.com/image.jpg"
}
]
}
]
}
]
}
]
}
}